<?php

/**
 * @link https://www.humhub.org/
 * @copyright Copyright (c) HumHub GmbH & Co. KG
 * @license https://www.humhub.com/licences
 */

namespace humhub\modules\collabora\permissions;

use humhub\libs\BasePermission;
use Yii;

class CanUseCollabora extends BasePermission
{
    /**
     * @inheritdoc
     */
    protected $moduleId = 'collabora';

    /**
     * @inheritdoc
     */
    protected $defaultState = self::STATE_ALLOW;

    /**
     * @inheritdoc
     */
    public function getTitle()
    {
        return Yii::t('CollaboraModule.base', 'Can use Collabora');
    }

    /**
     * @inheritdoc
     */
    public function getDescription()
    {
        return Yii::t('CollaboraModule.base', 'Allows the user to use Collabora.');
    }
}
